
Redmine - Defect #40389

Missing fixture: add :groups_users fixture to Redmine::ApiTest::UsersTest

2024-03-12 12:51 - Vincent Robert

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Marius BĂLTEANU % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 5.1.3   

Resolution: Fixed Affected version:  

Description

Hello

The new test "GET /users.json with legacy filter params" in Redmine::ApiTest::UsersTest is failing if we run it alone.

We should add the fixture "groups_users" in the users_test.rb file.

Associated revisions

Revision 22774 - 2024-03-21 22:12 - Marius BĂLTEANU

Fixes missing fixture: add :groups_users fixture to Redmine::ApiTest::UsersTest

Revision 22775 - 2024-03-21 22:16 - Marius BĂLTEANU

Merge r22774 from trunk to 5.1-stable (#40389).

History

#1 - 2024-03-13 05:33 - Go MAEDA

- Status changed from New to Confirmed

It is reproducible with the following steps.

RAILS_ENV=test bin/rake db:reset

ruby test/integration/api_test/users_test.rb

#2 - 2024-03-21 22:17 - Marius BĂLTEANU

- Status changed from Confirmed to Closed

- Assignee set to Marius BĂLTEANU

- Resolution set to Fixed

Committed, thanks!
